AutomationsController_listCycles
POST
/api/automations/fields/cycles
const url = 'https://api.streams-ai.com/api/automations/fields/cycles';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"payload":{"dependencyData":{"streamId":{"value":"example"}},"streamId":{"value":"example"},"credentialsValues":{"streams_access_token":"example"},"recipeId":"example","integrationId":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/automations/fields/cycles \ --header 'Content-Type: application/json' \ --data '{ "payload": { "dependencyData": { "streamId": { "value": "example" } }, "streamId": { "value": "example" }, "credentialsValues": { "streams_access_token": "example" }, "recipeId": "example", "integrationId": "example" } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
payload
object
dependencyData
credentialsValues
object
streams_access_token
key
additional properties
recipeId
integrationId
key
additional properties
Examplegenerated
{ "payload": { "dependencyData": { "streamId": { "value": "example" } }, "streamId": { "value": "example" }, "credentialsValues": { "streams_access_token": "example" }, "recipeId": "example", "integrationId": "example" }}